React UI Components Documentation

ReactJS ComplexInput Component

The ComplexInput component for ReactJS contains an input field used for inputting complex numbers and getting their real and imaginary parts.

Prerequisites

Refer to ReactJS Getting Started before you start with this help topic.

Configuration

The ComplexInput component for ReactJS requires the following imports.

 
import React from 'react';
import ReactDOM from 'react-dom';
import JqxComplexInput from 'jqwidgets-react/react_jqxcomplexinput.js';

Then we create our component class. Properties and methods are put as ReactJS props.

  
class App extends React.Component {
render () {
return (
<JqxComplexInput
width={250} height={40} value={"15 + 7.2i"}
/>
)
}
}

Finally we render our class in the desired HTML element:

 
ReactDOM.render(<App />, document.getElementById('app'));

Events Methods & Properties

In order to bind to any event, change any property or call any method, we need a reference to the component.
For that we use the ReactJS "ref" Callback Attribute:

 
<JqxComplexInput ref='myComplexInput' width={250} height={40}..... />

Now, when we have a reference, we need to call the desired event/property/method.
This is done in the componentDidMount() ReactJS Component Lifecycle method.

 
class App extends React.Component {
componentDidMount()
{
//your logic
}
render ()
{
return
(
....
)
}
};

Events

The change event is triggered when the value is changed.

The following example demonstrates how to add an event listener:

 
componentDidMount ()
{
this.refs.myComplexInput.on('change', (event) =>
{
//your logic
});
}

Methods & Properties

This is how you call methods & props:

 
//Get Methods
let value = this.refs.myComplexInput.val();
//Set Methods
this.refs.myComplexInput.val({ real: 1, imaginary: -99 });
//Get Properties
let height = this.refs.myComplexInput.height();
//Set Properties
this.refs.myComplexInput.height(30);

Every component have a method setOptions which accepts a object as an argument. This object contains component settings.

 
this.refs.myComplexInput.setOptions({
placeHolder: "Enter a complex number", width: 300, height: 35
})

Every component also have a method getOptions which returns a object containing the component settings.

 
let options = this.refs.myComplexInput.getOptions();

ComplexInput Examples

Overview

The following example demonstrates how to create a ComplexInput component.

 
import React from 'react';
import ReactDOM from 'react-dom';
import JqxComplexInput from 'jqwidgets-react/react_jqxcomplexinput.js';
class App extends React.Component {
render () {
return (
<JqxComplexInput
width={250} height={40}
value={"15 + 7.2i"}
/>
)
}
}
ReactDOM.render(<App />, document.getElementById('app'));

Set Corners Style

The following example demonstrates how to use the roundedCorners property.

ComplexInput API

API Reference of the jQWidgets ComplexInput component for React: ComplexInput API

Vue UI Components Documentation
Vue ComplexInput Component
The ComplexInput component for Vue contains an input field with auto-complete functionality and a list of selectable items displayed in a drop-down.
Prerequisites
Refer to Vue Getting Started before you start with this help topic.
Configuration
After you have created your App.vue file, here is how you should structure it:
The ComplexInput component for Vue requires the following import:
import JqxComplexInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxcomplexinput.vue";
Add the jqxComplexInput component to the components section of the the Vue class:
components: { JqxComplexInput },
Template
The App.vue has a <template>
structural tag where we determine the application structure.
There we will also set the tags for the new components - <JqxComplexInput/>
<template> <JqxComplexInput :width="250" :height="25" :value="value"> </JqxComplexInput></template>
Properties
The properties of the <JqxComplexInput/> component are defined in the data
member of the Vue class.
We should put them in the return object of the data function:
data: function () { return { value: '15 + 7.2i' }}
Events
The events in Vue are set as an attribute with @ prefix, for example:
All events that are bound to a component are implemented in the methods
member of the Vue class.
Methods
To use a component's method we should have its reference. In Vue we refer to a component by the special $refs
property.
Before that we need to add the desired name reference to that component:
<JqxComplexInput ref="complexinput"></JqxComplexInput>
Here how you can use a component's method:
this.$refs.complexinput.getReal();
If we want to add additional methods we should also implement them in the methods
member.
In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate
member.
It depends on the case.
If you have followed the above steps, you App.vue file would look like this:

Angular UI Components Documentation

Angular ComplexInput Component

The ComplexInput component for Angular contains an input field with auto-complete functionality and a list of selectable items displayed in a drop-down.

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<jqxComplexInput [theme]="'fluent'" #myComplexInput
    [width]="250" [height]="25" [value]="'15 + 7.2i'">
</jqxComplexInput>

<div style="margin-top: 20px;">

    <jqxButton [theme]="'fluent'" (onClick)="getRealPart()" [width]="150">
        Get real part
    </jqxButton>

    <jqxButton [theme]="'fluent'" (onClick)="getImaginarypart()" [width]="150">
        Get imaginary part
    </jqxButton>

</div>	

3. Setup Component Logic

app.component.ts


import { Component, ViewChild } from '@angular/core';

import { jqxPanelModule, jqxPanelComponent } from 'jqwidgets-ng/jqxpanel';
import { jqxComplexInputModule, jqxComplexInputComponent } from 'jqwidgets-ng/jqxcomplexinput';
import { jqxButtonComponent, jqxButtonModule } from 'jqwidgets-ng/jqxbuttons';
 
@Component({
    selector: 'app-root',
    imports: [jqxComplexInputModule, jqxButtonModule, jqxPanelModule],
    standalone: true,
    templateUrl: './app.component.html'
})
export class AppComponent {
    @ViewChild('myComplexInput') myComplexInput: jqxComplexInputComponent;

    getRealPart(): void {
        let realPart = this.myComplexInput.getReal();
        alert(`Real part is ${realPart}`);
    }

    getImaginarypart(): void {
        let imaginaryPart = this.myComplexInput.getImaginary();
        alert(`Imaginary part is ${imaginaryPart}`);
    }
}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

ComplexInput API

API Reference of the jQWidgets ComplexInput component for Angular: ComplexInput API